Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 280988 - =net-nds/openldap-2.4.17-r1 doesn't compile with GCC 4.4 with USE="sasl cxx"
Summary: =net-nds/openldap-2.4.17-r1 doesn't compile with GCC 4.4 with USE="sasl cxx"
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: LDAP Herd
URL:
Whiteboard:
Keywords:
Depends on: 280986
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-08-10 10:09 UTC by Samuli Suominen
Modified: 2009-08-10 10:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2009-08-10 10:09:25 UTC
After hitting bug 280986 and working around it, it doesn't compile with GCC 4.4 because of missing <stdio.h> includes

(if you need emerge --info it's on the other bug but there is no need since this is gcc 4.4 error)

See:

 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../include -I/usr/include/db4.7 -I../../../include -march=core2 -msse4.1 -O2 -pipe -D_GNU_SOURCE -MT LdifWriter.lo -MD -MP -MF .deps/LdifWriter.Tpo -c LdifWriter.cpp -o LdifWriter.o >/dev/null 2>&1
mv -f .deps/SaslInteraction.Tpo .deps/SaslInteraction.Plo
/bin/sh ../libtool --tag=CXX   --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I.   -I../../include  -I/usr/include/db4.7 -I../../../include   -march=core2 -msse4.1 -O2 -pipe -D_GNU_SOURCE -MT StringList.lo -MD -MP -MF .deps/StringList.Tpo -c -o StringList.lo StringList.cpp
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../include -I/usr/include/db4.7 -I../../../include -march=core2 -msse4.1 -O2 -pipe -D_GNU_SOURCE -MT LDAPUrl.lo -MD -MP -MF .deps/LDAPUrl.Tpo -c LDAPUrl.cpp -o LDAPUrl.o >/dev/null 2>&1
mv -f .deps/LdifWriter.Tpo .deps/LdifWriter.Plo
mv -f .deps/LdifReader.Tpo .deps/LdifReader.Plo
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../include -I/usr/include/db4.7 -I../../../include -march=core2 -msse4.1 -O2 -pipe -D_GNU_SOURCE -MT SaslInteractionHandler.lo -MD -MP -MF .deps/SaslInteractionHandler.Tpo -c SaslInteractionHandler.cpp  -fPIC -DPIC -o .libs/SaslInteractionHandler.o
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../include -I/usr/include/db4.7 -I../../../include -march=core2 -msse4.1 -O2 -pipe -D_GNU_SOURCE -MT StringList.lo -MD -MP -MF .deps/StringList.Tpo -c StringList.cpp  -fPIC -DPIC -o .libs/StringList.o
SaslInteractionHandler.cpp: In member function ‘virtual void DefaultSaslInteractionHandler::handleInteractions(const std::list<SaslInteraction*, std::allocator<SaslInteraction*> >&)’:
SaslInteractionHandler.cpp:55: error: ‘perror’ was not declared in this scope
SaslInteractionHandler.cpp:66: error: ‘perror’ was not declared in this scope
make[2]: *** [SaslInteractionHandler.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
mv -f .deps/LDAPUrl.Tpo .deps/LDAPUrl.Plo
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../include -I/usr/include/db4.7 -I../../../include -march=core2 -msse4.1 -O2 -pipe -D_GNU_SOURCE -MT StringList.lo -MD -MP -MF .deps/StringList.Tpo -c StringList.cpp -o StringList.o >/dev/null 2>&1
mv -f .deps/StringList.Tpo .deps/StringList.Plo
make[2]: Leaving directory `/var/tmp/portage/net-nds/openldap-2.4.17-r1/work/openldap-2.4.17/contrib/ldapc++/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/net-nds/openldap-2.4.17-r1/work/openldap-2.4.17/contrib/ldapc++/src'
make: *** [all-recursive] Error 1
 * 
 * ERROR: net-nds/openldap-2.4.17-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3256:  Called die
 * The specific snippet of code:
 *               emake CC="${CC}" CXX="${CXX}" || die "emake ldapc++ failed";
 *  The die message:
 *   emake ldapc++ failed
Comment 1 Samuli Suominen gentoo-dev 2009-08-10 10:31:51 UTC
+  10 Aug 2009; Samuli Suominen <ssuominen@gentoo.org>
+  openldap-2.4.17-r1.ebuild, +files/openldap-2.4.17-gcc44.patch:
+  Fix building with GCC 4.4+ wrt #280988.